#include <stdio.h>
#include <stdlib.h>

int main()
{
  int N,A;

  printf("Unesite ukupan broj poena: ");
  scanf("%d",&N);

  printf("Unesite minimalan broj poena po setu: ");
  scanf("%d",&A);

  if(N<A*3||N<3) printf("-1");
  else
  {
    printf("%d %d \n",(N-2*A-2)/2+2,(N-2*A-2)/2);
    if(A+A+(N-2*A-2)/2+2+(N-2*A-2)/2+N%A>N) printf("%d 0 \n",A);
    else
    {
      printf("%d %d \n",A,N%A);
    }
    printf("%d %d \n",A,N%A-N%A);
  }
  
  	return 0;
}